Skip to main content
PATCH
/
v0
/
users
/
{userId}
/
update
Update User details
curl --request PATCH \
  --url https://api.fungies.io/v0/users/{userId}/update \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "email": "jsmith@example.com",
  "password": "<string>",
  "username": "<string>",
  "internalId": "<string>",
  "billingDetails": {
    "type": "individual",
    "countryCode": "AF",
    "firstName": "<string>",
    "lastName": "<string>",
    "companyName": "<string>",
    "dialCode": "<string>",
    "phoneNumber": "<string>",
    "address": "<string>",
    "addressLine2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "taxId": "al_tin_albania",
    "taxNumber": "<string>"
  },
  "paymentData": {
    "stripeCustomerId": "<string>",
    "paypalCustomerId": "<string>"
  }
}
'
{
  "status": "<string>",
  "data": {
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "user",
      "username": null,
      "email": null,
      "details": null,
      "internalId": null
    }
  }
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Path Parameters

userId
string<uuid>
required

Unique identifier of the User to archive.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

PATCH /v0/users/:userId/update Request body

email
string<email> | null

Email of the user.

Example:

"test@example.com"

password
string | null

User password used for logging in to the Store application. Password must contain at least one special character, one number and one uppercase letter. Password must be between 8 and 72 characters long.

Required string length: 8 - 72
Pattern: [!"#$%&'()*+,-./:;<=>?@[\\\]^_`{|}~0-9]
Example:

"Password123!"

username
string | null

Username of the User.

Minimum string length: 1
Example:

"test-user"

internalId
string | null

A custom identifier for external system integration. This ID: - Can be used to link users with external systems - Will be included in all webhook notifications - Is optional but recommended for system integration

Minimum string length: 1
Example:

"abcd-1234-5678-90ab-cdef-1234-5678-90ab"

billingDetails
object

Billing information used for payments and invoices. Following fields are required for the payments: - countryCode: ISO 3166-1 alpha-2 country code (e.g., "US", "GB") - postalCode: Required for specific countries (US, CA, UA, IN)

For company accounts, set type to "company" and provide companyName, taxId and taxNumber.
These fields will appear on generated invoices.

All other fields are optional but recommended for a complete billing profile.
Example:
{
"type": "company",
"companyName": "Acme Sp. z o.o.",
"taxId": "eu_vat_poland",
"taxNumber": "PL1234567890",
"countryCode": "PL",
"postalCode": "00-001"
}
paymentData
object

Pre-existing payment provider (Stripe/Paypal) customer IDs. Only provide this if: - You're migrating users from another system - You want to link existing Stripe/PayPal customers - You need to preserve payment history in provider's system

This is typically handled automatically during the first payment.
Example:
{ "stripeCustomerId": "cus_QzHuLRwfKfp2WX" }

Response

PATCH /v0/users/:userId/update Positive response

status
string
required
Allowed value: "success"
data
object
required